Skip to content

Run compliance scan

POST
/api/v1/compliance/scan
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/compliance/scan \
--header 'X-API-Key: <X-API-Key>'

Perform a full compliance scan for the tenant.

Successful Response

Media typeapplication/json
ComplianceScanEnvelope

Typed envelope for POST /scan.

object
data
required
ComplianceScanResponse

Response body for a completed compliance scan.

Attributes: tenant_id: The tenant that was scanned. scan_date: Date the scan was performed. requirements_found: Number of regulatory requirements identified. alerts_generated: Number of alerts created from the scan. categories_scanned: List of compliance categories included in the scan.

object
alerts_generated
required
Alerts Generated

Number of alerts created from the scan

integer
categories_scanned
required
Categories Scanned

Compliance categories included in the scan

Array<string>
requirements_found
required
Requirements Found

Number of regulatory requirements identified

integer
scan_date
required
Scan Date

Date the scan was performed

string format: date
tenant_id
required
Tenant Id

Tenant that was scanned

string
meta
required
ResponseMeta

Standard metadata attached to every API response.

object
request_id
required
Request Id

Unique request identifier

string
timestamp
required
Timestamp

Server timestamp of the response

string format: date-time
Examplegenerated
{
"data": {
"alerts_generated": 1,
"categories_scanned": [
"example"
],
"requirements_found": 1,
"scan_date": "2026-04-15",
"tenant_id": "example"
},
"meta": {
"request_id": "example",
"timestamp": "2026-04-15T12:00:00Z"
}
}